from .models import Feedback
from django.forms import ModelForm
from django import forms


class FeedbackForm(ModelForm):
    class Meta:
        model = Feedback
        fields = ("party", "next_year", "feedback_text")
        labels = {
            "party": "Kommst du zum HelferInnen Fest?",
            "feedback_text": "Wie wars?",
            "next_year": "Dürfen wir dich nächstes Jahr wieder kontaktieren?",
        }
        help_texts = {
            "feedback_text": "Was hat dir gefallen? Was hat geklappt? Was können wir naechstes Jahr besser machen?",
        }
        widgets = {
            "party": forms.RadioSelect,
        }
